MCP Gateway
ApiSetup

Create or update setup OAuth provider

Create or update an OAuth provider during initial setup. Only available when no users exist and setup has not been completed, or via recovery token.

POST
/api/v1/setup/provider

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/setup/provider" \  -H "Content-Type: application/json" \  -d '{    "provider_type": "github",    "display_name": "string",    "client_id": "string",    "client_secret": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "provider_type": "string",
  "display_name": "string",
  "client_id": "string",
  "is_enabled": true,
  "display_order": 0,
  "config": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}